# CHANGELOG

## [Unreleased]
- 框架整体依然需要持续优化并加入新的功能以方便开发
- 更多的语法糖待加入

## [1.0] - 2018-05-01 [Milestone]
里程碑更新,此次更新优化了路由器,使整体性能提高了300%,同时加入部分新功能,本框架已经可以纳入实际项目使用

### Added
- 加入Memcache支持
- 生成随机进程ID,以方便PM2等进程管理程序创建多个子进程时的管理
- 开始编写Changelog

### Changed
- 修改README文档
- 加入MIT协议,修改package.json信息
- 调整配置文件格式,分类编辑不同类型的配置信息
- HTTP服务器端口配置信息由server.js移动至config.js配置文件
- `Router`路由器由原来加载控制器全局静态Handler类改为加载新的控制器Handler实例来处理单个业务请求;在调用控制器方法时由显示传入Request和Response两个对象的改为将两个对象赋值为控制器Handler实例属性
- `Router`路由器加入路径缓存,与上一调整同时进行路由优化,整体运行性能提升300%
- Session功能支持Memcache存储



## [0.4] - 2018-?-?
### Added
- 静态扩展库Helper支持

### Changed
- 重写Mysql数据库连接池,直接采用官方提供的Mysql-Pool
- 日志处理程序扩展,加入`Log`,`Debug`,`Info`,`Error`四个不同类型以及对应输出表现

## [0.3] - 2017-?-?
### Added
- 加入POST表单(文件)上传的文件预处理
- 加入基础Session功能并以文件方式进行存储
- 控制器构造函数`__construct`支持,调用控制器方法时会优先调用该方法

###Fixed
- 修正Mysql连接池自动断开问题

## [0.2] - 2017-?-?
### Added
- Mysql数据库支持,采用NPM的Mysql基础库,实现简单的连接池
- MongoDB数据库支持,采用NPM的MongoDB基础库
- 调试日志的输出及存储
- 自动创建项目目录结构

## [0.1] - 2017-?-?
### Added
- 基础的MVC架构实现
- 参考了PHP的MVC框架-Codeigniter建立了的灵活路由器,无需手动设置路由规则即可自行快速查找请求的文件或控制器
- GET,POST请求预处理并形成字段
- 基本的静态文件(图片,样式等)支持;可实现基本的MVC开发工作

