/**
 * @Author  HonorLee (dev@honorlee.me)
 * @Version 1.0 (2018-05-04)
 * @License MIT
 */
global.Config = {

//Server Setting | 服务器基本信息设置
Server:{
    Name:'',
    Host:'',
    Port:8080
},

//Session Setting | Session配置
Session:{
    //Session Expire Time min.
    SessionExpire : 30,
    //No expire while surfing
    AutoRefresh:true,
    //Session store type && Support 'File' or 'Memcache'
    //If using memcache,Memcache setting must be modified
    StoreType:'File'
},
//Asset setting
Asset:{
    //Asset path
    asset_path  : 'asset',
    upload_path : 'asset/upload',
},

Database:{
    Mysql:{
        on:false,
        host:'localhost',
        port:3306,
        user:'root',
        password:'',
        database:'',
        prefix:'',
        connectionLimit:10
    },
    Mongodb:{
        on:false,
        host:'localhost',
        port:27017,
        user:null,
        password:'',
        database:'',
        prefix:''
    },
    Memcache:{
        on:true,
        host:'localhost',
        port:11211
    }
},

Wechat:{
    on:true,
    token:'',
    appId:'',
    appSecret:'',
    apiDomain:'api.weixin.qq.com',
    handler_path:'/wechat',
    StoreType:'File'
},

//If Debug on,log && info logs will output in console;except Error!
debug:true,
//if write file on,logs will write in log files
write_log_file:false,
write_error_file:true,

//You can add your own config here


};